package com.magic.creator.enums;

public enum CardTypeEnum {

	CREATURE("Creature"), ARTIFACT("Artifact"), ENCHANTMENT("Echantment"), LAND("Land"), INSTANT("Instant"), SORCERY(
			"Sorcery"), UNKNOWN("UNKNOWN");

	private String stringValue;

	CardTypeEnum(String s) {
		stringValue = s;
	}

	public String toString() {
		return stringValue;
	}

	public static CardTypeEnum get(String code) {
		try {
			return CardTypeEnum.valueOf(code.toUpperCase());
		} catch (Exception e1) {
			return UNKNOWN;
		}
	}
}
