package com.magic.creator.misc;

public class CastingCost {

	private String cost;

	public CastingCost(String cost) {
		cost = cost.toUpperCase().trim();
		cost = cost.replace("U", "{U}");
		cost = cost.replace("R", "{R}");
		cost = cost.replace("G", "{G}");
		cost = cost.replace("B", "{B}");
		cost = cost.replace("W", "{W}");

		int idx = cost.indexOf('{');
		if (idx > 0) {
			String colorless = cost.substring(0, idx);
			String colored = cost.substring(idx);
			cost = "{" + colorless + "}" + colored;
		}
		if (idx == -1) {
			cost = "{" + cost + "}";
		}

		this.cost = cost;
	}

	@Override
	public String toString() {
		return cost;
	}
}
