package com.magic.creator.abilities;

import com.magic.creator.misc.Sfx;
import com.magic.creator.misc.Text;

public class Ability {

	private final Text text = new Text();
	private Sfx sfx;

	public Text getText() {
		return text;
	}

	public Sfx getSfx() {
		return sfx;
	}

	public void setSfx(Sfx sfx) {
		this.sfx = sfx;
	}

	public String getAbilityType() {
		return "ABILITY";
	}

	@Override
	public String toString() {
		StringBuilder stringBuilder = new StringBuilder();

		stringBuilder.append("  <" + getAbilityType() + ">\n");

		if (getText().hasText()) {
			stringBuilder.append(getText());
		}

		if (getSfx() != null) {
			stringBuilder.append(sfx);
		}

		stringBuilder.append("  </" + getAbilityType() + ">\n");

		return stringBuilder.toString();
	}
}
